
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
      <!-- Search for small screen-->
      <div class="container">
        <div class="row">
          <div class="col s12 m6 l6">
            <h5 class="card-title">Contraventions</h5>

          </div>
          <div class="col s12 m6 l6 right-align-md">
            <ol class="breadcrumbs mb-0">
              <li class="breadcrumb-item"><a [routerLink]="['/DashbordVoiture']">Acceuil</a>
              </li>
              <li class="breadcrumb-item">Configurations
              </li>
              <li class="breadcrumb-item active">Liste des contraventions
              </li>
            </ol>
          </div>
        </div>
      </div>
    </div>

        <div class="section section-data-tables">

<!-- Page Length Options -->
<div class="row">
<div class="col s12">
  <div class="card">
    <div class="card-content">
     <a class=" modal-trigger" href="#modal1">
     <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
        <i class="material-icons right">add</i>
      </button>
      </a>

      <h4 class="card-title">Liste des Contraventions</h4>
      <br/>
      <div class="row">
        <div class="col s12">
          <table id="page-length-option" class="display">
            <thead>
              <tr>
                <th>Client </th>
                <th>Immatricule</th>
                <th>Date d'afraction</th>
                <th>Montant</th>
                
                <th>Action</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let c of contraventions; index as i;">
                

                <td>
                  <div *ngFor="let cl of clients">
                    <div *ngIf="c.ClientId === cl.id">
                      {{cl.nom}}  {{cl.prenom}}
                    </div>
                  </div>


                </td>
                <td>{{c.voitureImmatricule}}</td>
                <td>{{c.dateafraction}}</td>
                <td>{{c.montant}}</td>
                <td><a class='dropdown-trigger' href='#' [attr.data-target]="'dropdown' + i">
                  <i class="material-icons">arrow_drop_down</i>
                </a>
                <ul id='dropdown{{i}}' class='dropdown-content' >
                <li><a  class="modal-trigger" (click)="getOne(c.id)" href="#modal2"> Modifier</a></li>
                <li><a class="modal-trigger" (click)="delete(c.id)"> Supprimper</a></li>
               
                </ul></td>
                
              
              
             
          </tr>
      </tbody>
    </table>
  </div>
</div>
</div>
</div>
</div>
</div>
</div>

<!-- END RIGHT SIDEBAR NAV -->
<div id="modal1" class="modal" style="width: 40%;">
  <form #f="ngForm" (ngSubmit)="save(f.value)" > 
  <div class="modal-content" style="margin-left: 50px; margin-right: 50px;">
    <h5>Ajouter une contravention
    </h5>
    <br>
    
    <div class="row">
     <div class="input-field col m6 s6">
              <label for="nbrpersonne" class="active">Client</label>
            <select  searchable='Liste de Client' id="xxxx"  name="client" #client="ngModel" [(ngModel)]="contravention.client" required >
              <option *ngFor="let c of clients" [value]="c.id">
                {{c.nom}} {{c.prenom}} || {{c.cin}}
               </option>
          </select>
     </div>
     <div class="input-field col m6 s6">
         <label for="nbrpersonne" class="active">Immatricule</label>
         <select  searchable='Liste de Voiture' id="xxxx"  name="voitureImmatricule" #voitureImmatriculet="ngModel" [(ngModel)]="contravention.voitureImmatricule" required>
          <option *ngFor="let v of voitures" [value]="v.immatricule">
            {{v.immatricule}}
           </option>
      </select>
     </div>
   </div>
   <div class="row">
    <div class="input-field col m6 s6">
        <input type="date" name="dateafraction" #dateafraction="ngModel" [(ngModel)]="contravention.dateafraction" required >
        <label for="nbrporte">Date d'afraction</label>
        <small  class="errorTxt1" *ngIf="dateafraction.touched  &&  dateafraction.invalid" ><div id="uname-error" class="error">saisir votre dateafraction</div></small>

    </div>
    <div class="input-field col m6 s6">
        <input type="text" name="montant" #montant="ngModel" [(ngModel)]="contravention.montant" >
        <label for="nbrporte">Montant</label>
        <small  class="errorTxt1" *ngIf="montant.touched  &&  montant.invalid" ><div id="uname-error" class="error">saisir votre montant</div></small>

    </div>
   </div>
  

    <div class="modal-footer">
        <button [disabled]="f.invalid" class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
           <i class="material-icons right">send</i>
         </button>
     </div>

</div>
</form> 

</div>



<div id="modal2" class="modal" style="width: 40%;">
  <form #fu="ngForm" (ngSubmit)="update(fu.value)" > 
  <div class="modal-content" style="margin-left: 50px; margin-right: 50px;">
    <h5>Modifier une contravention
    </h5>
    <br>
    
    
   <div class="row">
    <div class="input-field col m6 s6">
      <label for="nbrporte">Date d'afraction</label><br/>
        <input type="date" name="dateafraction" #dateafraction="ngModel" [(ngModel)]="contravention.dateafraction" required >
    </div>
    <div class="input-field col m6 s6">
      <label for="nbrporte">Montant</label><br/>
        <input type="text" name="montant" #montant="ngModel" [(ngModel)]="contravention.montant">
    </div>
   </div>
  

    <div class="modal-footer">
        <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Modifier
           <i class="material-icons right">send</i>
         </button>
     </div>

</div>
</form> 

</div>


